.home-visits-section {
  position: relative;
  margin-bottom: 1rem;
  background-color: var(--light-bg-color);
  padding: 1rem 0rem 3rem 5rem;
}

.knot-shape {
  position: absolute;
  top: 5%;
  left: 5%;
}

.smiley-face {
  position: absolute;
  top: 5%;
  right: 5%;
}

.home-visits-section .section-title {
  text-align: center;
}

.home-visits-section .top-subtitle {
  margin-top: 1rem;
  text-align: center;
}

.home-visits-wrapper {
  margin-top: 5rem;
  display: flex;
  gap: 2rem;
}

.home-visits-intro {
  width: 35%;
}

.home-visits-intro .question {
  font-size: 1.6rem;
  font-weight: 900;
  font-family: "Inter", sans-serif;
  line-height: 40px;
}

.home-visits-intro .answer {
  font-size: 1.1rem;
  font-weight: 500;
  font-family: "Inter", sans-serif;
  line-height: 33px;
  letter-spacing: 0em;
  text-align: left;
  margin-top: 2rem;
  color: #675e5e;
}

.home-visits-intro .statistics {
  padding: 1rem;
  width: 200px;
  height: auto;
  margin-top: 2rem;
  background-image: url("../assets/icons/trapezoid.svg");
  background-repeat: no-repeat;
}

.statistics h1 {
  font-size: 2.3rem;
  font-weight: 900;
  font-family: "Inter", sans-serif;
  line-height: 46px;
  color: #101518;
}

.statistics p {
  font-size: 1.1rem;
  font-weight: 500;
  font-family: "Inter", sans-serif;
  line-height: 24px;
  color: #1d262d;
}

.home-visits-container {
  width: 60%;
  display: flex;
  flex-direction: column;
  gap: 1rem;
}

.home-visits-gallery {
  overflow-x: auto;
  white-space: nowrap;
  display: flex;
  gap: 0.7rem;
  scrollbar-width: none;
  -ms-overflow-style: none;
}

.home-visits-gallery::-webkit-scrollbar {
  display: none;
}

.home-visit {
  flex: 0 0 auto;
  overflow: hidden;
  position: relative;
  transform: scale(0.95);
  transition: transform 0.3s ease-in-out;
}

.home-visit:hover {
  transform: scale(1);
}

.home-visit img {
  width: 450px;
  height: 320px;
  object-fit: cover;
  border-radius: 10px;
}

.home-visit .img-overlay {
  position: absolute;
  inset: 0;
  width: 450px;
  height: 320px;
  background-image: linear-gradient(
    0deg,
    #000000 0%,
    rgba(0, 0, 0, 0.78) 22.78%,
    rgba(255, 255, 255, 0) 98.26%
  );
  border-radius: 10px;
}

.home-visit .center-name {
  position: absolute;
  left: 5%;
  bottom: 14%;
  color: white;
  font-size: 1rem;
  font-weight: 800;
  font-family: "Inter", sans-serif;
  line-height: 21px;
}

.home-visit .center-location {
  position: absolute;
  left: 5%;
  bottom: 7%;
  color: white;
  font-size: 0.8rem;
  font-weight: 600;
  font-family: "Inter", sans-serif;
  line-height: 18px;
}

.gallery-control-buttons {
  display: flex;
  gap: 0.5rem;
}

.scroll-button {
  cursor: pointer;
  width: 40px;
  height: 40px;
  border-radius: 50%;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: white;
  border: 1px solid var(--primary-color);
}

@media only screen and (max-width: 600px) {
  .home-visits-section {
    padding: 1rem;
  }

  .knot-shape {
    top: 1%;
    left: 2%;
  }

  .smiley-face {
    top: 1%;
    right: 2%;
  }

  .home-visits-wrapper {
    margin-top: 1rem;
    flex-direction: column;
  }

  .home-visits-intro {
    width: 100%;
  }

  .question {
    line-height: 50px;
  }

  .home-visits-container {
    width: 100%;
  }
}

@media only screen and (min-width: 600px) and (max-width: 1023px) {
  .home-visits-section {
    padding: 1rem;
  }

  .home-visits-wrapper {
    flex-direction: column;
  }

  .home-visits-intro {
    width: 100%;
  }

  .home-visits-container {
    width: 100%;
  }
}
